|  | Home · All Namespaces · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Qt 3 Support Members for QColorDialog

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QColorDialog class reference

### Static Public Members

- QColor getColor ( const QColor & init, QWidget * parent, const char * name )
- QRgb getRgba ( QRgb rgba, bool * ok, QWidget * parent, const char * name )

- 1 static public member inherited from QWidget
- 13 static public members inherited from QPaintDevice

## Member Function Documentation

### QColor QColorDialog::getColor ( const QColor & init, QWidget * parent, const char * name ) `[static]`

This is an overloaded member function, provided for convenience.

### QRgb QColorDialog::getRgba ( QRgb rgba, bool * ok, QWidget * parent, const char * name ) `[static]`

This is an overloaded member function, provided for convenience.